org.gradle.tooling.events.task

## Interface TaskOperationDescriptor

- All Superinterfaces:
    OperationDescriptor

      @Incubating
      public interface TaskOperationDescriptor
      extends OperationDescriptor

  Describes a task operation for which an event has occurred.
  Since:
    2.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTaskPath()` Returns the path of the task.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

      `getDisplayName, getName, getParent`

- - ### Method Detail

    - #### getTaskPath

          String getTaskPath()

      Returns the path of the task.